Digivoice Suporte

Fórum de Suporte Digivoice

Você não está logado.

#1 31/12/2010 10:48:07

fpaes
New member
Cadastrado: 31/12/1969
Posts: 6

Problemas na instalação do Channel Driver

Bom dia Srs.

Estou tendo problemas na instalação do Channel Driver, todas as vezes que eu insiro o comando make ele pede que a libpri esteja no diretório /usr/src/libpri e que também o asterisk esteja no diretório /usr/src/asterisk, bom... eu tenho os dois já instalados, libpri no caminha /usr/lib/"versão da libpri" e o asterisk no caminho /etc/asterisk.
Pergunta: as instalações do libpri e do asterisk não são reconhecidas?
Qual a maneira de fazer essa instalação já que eles não são reconhecidos?
Atenciosamente,
Fellipe

Offline

 

#2 04/01/2011 14:13:09

tmcarvalho
Member
Cadastrado: 31/12/1969
Posts: 92

Re: Problemas na instalação do Channel Driver

Segue procedimento de instalação:


INSTALACAO ASTERISK / DAHDI / LIBPRI / VOICERLIB / DGVCHANNEL
==============================================================================

Por Tiago M Carvalho <tiago.carvalho@digivoice.com.br>


release     v0.1 25-11-2010
            v0.2 02-12-2010




OBSERVAÇÃO:   SE FOR SOMENTE ATUALIZAR/RECOMPILAR A VOICERLIB E DGVCHANNEL
              VOCÊ DEVE PARAR O SERVIÇO ASTERISK E REMOVER OS MÓDULOS
              DGVFIFO E VLIBD, ATUALIZAR/RECOMPILAR OS DRIVERS E REINICIAR O
              SERVIÇO ASTERISK:

              service asterisk stop        <== RedHat/Fedora/CentOS
              /etc/init.d/asterisk stop         <== Debian/Ubuntu
              amportal stop                     <== Meucci/Trixbox/Elastix


              rmmod dgvfifo
              rmmod vlibd



              EM SEGUIDADE EXECUTE OS PROCEDIMENTOS 07 E 08.


              CASO DE ALGUM ERRO NA COMPILAÇÃO VEJA NO OS ITENS DE
              "RESOLVENDO PROBLEMAS" NO FINAL DO ARQUIVO.



00- INSTALAÇÃO DE DEPEDENCIAS FEDORA/REDHAT/CENTOS (execute o comando abaixo):

    yum -y install gcc \
                       gcc-c++ \
                       kernel-devel \
                       openssl-devel \
                       libtermcap-devel \
                       ncurses-devel \
                       newt-devel \
                       unixODBC \
                       unixODBC-devel \
                       libtool-ltdl \
                       libtool-ltdl-devel



01- INSTALAÇÃO DE DEPEDENCIAS DEBIAN (execute os comandos abaixo):

        cp /etc/apt/sources.list /etc/apt/sources.list.bkp

        echo "deb http://ftp.br.debian.org/debian/ lenny main" > /etc/apt/sources.list
        echo "deb-src http://ftp.br.debian.org/debian/ lenny main" >> /etc/apt/sources.list

        echo "deb http://security.debian.org/ lenny/updates main" >> /etc/apt/sources.list
        echo "deb-src http://security.debian.org/ lenny/updates main" >> /etc/apt/sources.list

        echo "deb http://volatile.debian.org/debian-volatile lenny/volatile main" >> /etc/apt/sources.list
        echo "deb-src http://volatile.debian.org/debian-volatile lenny/volatile main" >> /etc/apt/sources.list

        /usr/bin/aptitude -y update

        /usr/bin/aptitude -y install linux-headers-`uname -r`

        /usr/bin/aptitude -y install autoconf \
                                     automake \
                                     binutils \
                                     bison \
                                     bzip2 \
                                     doxygen \
                                     g++ \
                                     g++-4.1 \
                                     gcc \
                                     libc6-dev \
                                     libcurl3 \
                                     libcurl3-dev \
                                     libncurses5 \
                                     libncurses5-dev \
                                     libnewt0.52 \
                                     libnewt-dev libogg-dev \
                                     libspeex \
                                     libspeex-dev \
                                     libssl0.9.8 \
                                     libssl-dev \
                                     libvorbis-dev \
                                     libwrap0-dev \
                                     libxml2 \
                                     libxml2-dev \
                                     make \
                                     openssh-server \
                                     openssl \
                                     patch \
                                     pciutils \
                                     procps \
                                     sox \
                                     unixodbc-dev \
                                     vim \
                                     zlib1g-dev


02- INSTALAÇÃO DE DEPEDENCIAS UBUNTU (execute os comandos abaixo):

    /usr/bin/aptitude -y update

    /usr/bin/aptitude -y install linux-headers-`uname -r`

    /usr/bin/aptitude -y install autoconf \
                                     automake \
                                     binutils \
                                     bison \
                                     bzip2 \
                                     g++ \
                                     g++-4.1 \
                                     gcc \
                                     libc6-dev \
                                     libcurl3 \
                                     libcurl3-dev \
                                     libmyodbc \
                                     libncurses5 \
                                     libncurses5-dev \
                                     libnewt0.52 \
                                     libnewt-dev \
                                     libogg-dev \
                                     libspeex \
                                     libspeex-dev \
                                     libssl0.9.7 \
                                     libssl-dev \
                                     libvorbis-dev \
                                     libwrap0-dev \
                                     libxml2 \
                                     libxml2-dev \
                                     make \
                                     mcrypt \
                                     openssh-server \
                                     openssl \
                                     patch \
                                     pciutils \
                                     procps \
                                     sox \
                                     unixodbc-dev \
                                     vim \
                                     zlib1g-dev


03 - COMPILANDO O DAHDI-LINUX E DAHDI-TOOLS

    cd /usr/src
    wget http://downloads.asterisk.org/pub/telep … 4.0.tar.gz
    wget http://downloads.asterisk.org/pub/telep … 4.0.tar.gz
    tar -zxf dahdi-linux-2.4.0.tar.gz
    tar -zxf dahdi-tools-2.4.0.tar.gz

    ln -s /usr/src/dahdi-linux-2.4.0 /usr/src/dahdi-linux

    cd /usr/src/dahdi-linux


    ATENCAO!!!!   
    Editar o arquivo /usr/src/dahdi-linux/drivers/dahdi/Kbuild
    Descomente as seguintes linhas (retirando o '#' da frentre da linha):

    obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI)            += dahdi.o
    obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_DUMMY)        += dahdi_dummy.o
    obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_DYNAMIC)        += dahdi_dynamic.o
    obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_DYNAMIC_LOC)    += dahdi_dynamic_loc.o
    obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_DYNAMIC_ETH)    += dahdi_dynamic_eth.o
    obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_DYNAMIC_ETHMF)    += dahdi_dynamic_ethmf.o
    obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_TRANSCODE)        += dahdi_transcode.o


    Comente as seguintes linhas (colocando um "#" na frente da linha, salve e saia):


    #obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_WCT4XXP)        += wct4xxp/
    #obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_WCTC4XXP)        += wctc4xxp/
    #obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_WCTDM24XXP)    += wctdm24xxp/
    #obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_WCTE12XP)        += wcte12xp/
    #obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_WCTDM)        += wctdm.o
    #obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_VOICEBUS)        += voicebus/
    #obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_WCB4XXP)        += wcb4xxp/

    #obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_WCT1XXP)        += wct1xxp.o
    #obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_WCTE11XP)        += wcte11xp.o

    #obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_WCFXO)        += wcfxo.o
    #obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_TOR2)        += tor2.o
    #obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_PCIRADIO)        += pciradio.o

    #obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_XPP)        += xpp/

    #obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_ECHOCAN_JPAH)    += dahdi_echocan_jpah.o
    #obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_ECHOCAN_STEVE)    += dahdi_echocan_sec.o
    #obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_ECHOCAN_STEVE2)    += dahdi_echocan_sec2.o
    #obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_ECHOCAN_KB1)    += dahdi_echocan_kb1.o
    #obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_ECHOCAN_MG2)    += dahdi_echocan_mg2.o



    COMPILE COM:

        make clean
        make
        make install



    COMPILANDO O DAHDI-TOOLS

        cd /usr/src/dahdi-tools-2.4.0
        make clean
        ./configure
        make menuselect
        make
        make install



04. INSTALAR / ATUALIZAR A LIBPRI:

    cd /usr/src/
    wget http://downloads.asterisk.org/pub/telep … 1.5.tar.gz
    tar -zxf libpri-1.4.11.5.tar.gz
    rm -rf /usr/src/libpri
    ln -s /usr/src/libpri-1.4.11.5 /usr/src/libpri
    cd /usr/src/libpri
    make clean
    make
    make install



05 - COMPILANDO O ASTERISK (MUDE P/ VERSÃO PARA A QUAL VOCÊ IRÁ UTILIZAR).

    ATENCAO!!! Se for utilizar Asterisk 1.8 veja no final do tutorial
                   "UTILIZANDO ASTERISK 1.8".


    cd /usr/src
    wget http://downloads.asterisk.org/pub/telep … .14.tar.gz
    tar -zxf asterisk-1.6.2.14.tar.gz
    ln -s /usr/src/asterisk-1.6.2.14 /usr/src/asterisk
    cd asterisk
    make clean
    ./configure
    make menuselect
    make
    make install
    make samples
    make config


06 - COMPILANDO O ASTERISK-ADDONS (MUDE P/ A VERSÃ QUE VOCÊ IRÁ UTILIZAR)

    cd /usr/src
    wget http://downloads.asterisk.org/pub/telep … 2.2.tar.gz
    tar -zxf asterisk-addons-1.6.2.2.tar.gz
    cd asterisk-addons-1.6.2.2
    ./configure
    make menuselect
    make
    make install
    make samples



07 - COMPILANDO A VOICERLIB

    cd /usr/src/
    wget http://downloads.digivoice.com.br/pub/v … 3.0.tar.gz
    tar -zxvf voicerlib-4.2.3.0.tar.gz
    cd /usr/src/voicerlib-4.2.3.0
    make clean
    make
    make install
    make config



08 - COMPILANDO O DGVCHANNEL

    cd /usr/src/
    wget http://downloads.digivoice.com.br/pub/d … 0.6.tar.gz
    tar -zxf dgvchannel-1.0.6.tar.gz
    cd /usr/src/dgvchannel-1.0.6
    make clean
    make
    make install
    make config
    make install_config








RESOLVENDO PROBELAMAS:
===============================================================================

- PARA AS SEGUINTES DISTRIBUICOES:

    UBUNTU 10.04LTS
    SLACKWARE 13.x
    FEDORA 12
    FEDORA 13
    OpenSUSE 11.3

    Adicionar no arquivo dgvchannel-1.0.6/fifodev/dgvfifo.c:
        #include<linux/sched.h>

- PARA A DISTRIBUICAO FEDORA 13.X (kernel 2.6.34) (Dahdi 2.4.0)

    Adicionar no arquivo dahdi-linux/drivers/dahdi/dahdi_dummy.c
        #include<linux/slab.h>


- PARA ASTERISK (ERRO NO ./configure, sem a lib XML)

    ./configure --disable-xmldoc



UTILIZANDO ASTERISK 1.8
===============================================================================

Asterisk 1.8 eh a nova versao do Asterisk da Digium.
Para utilizar com os modulos da Digivoice faça o seguinte:

No TOPICO 05, baixe o asterisk 1.8 ao invés do 1.6.2.X. como exemplo abaixo:
(lembre-se: Asterisk 1.8 não utiliza mais o asterisk-addons).

COMPILANDO O ASTERISK

    cd /usr/src
    wget http://downloads.asterisk.org/pub/telep … 8.1.tar.gz
    tar -zxf asterisk-1.8.1.tar.gz
    ln -s /usr/src/asterisk-1.8.1 /usr/src/asterisk
    cd asterisk
    make clean
    ./configure
    make menuselect
    make
    make install
    make samples
    make config

Nos drivers da Digivoice muda somente a versão do dgvchannel que deve ser
a dgvchannel-1.0.8_beta1.tar.gz. Portanto para Asterisk 1.8 compilar o
dgvchannel como abaixo:


COMPILANDO O DGVCHANNEL

    cd /usr/src/
    wget http://downloads.digivoice.com.br/pub/d … ta1.tar.gz
    tar -zxf dgvchannel-1.0.8_beta1.tar.gz
    cd /usr/src/dgvchannel-1.0.8_beta1
    make clean
    make
    make install
    make config
    make install_config


==FIM==

Offline

 

#3 04/01/2011 16:01:56

fpaes
New member
Cadastrado: 31/12/1969
Posts: 6

Re: Problemas na instalação do Channel Driver

Bom dia Thiago,

parece que foi instalado, como saber agora se a placa e os drivers estão corretamente configurados?
Atenciosamente,
Fellipe

Offline

 

#4 04/01/2011 16:26:08

tmcarvalho
Member
Cadastrado: 31/12/1969
Posts: 92

Re: Problemas na instalação do Channel Driver

CLI> dgv show version

att,

Offline

 

#5 05/01/2011 08:31:40

fpaes
New member
Cadastrado: 31/12/1969
Posts: 6

Re: Problemas na instalação do Channel Driver

Bom dia Thiago,

olha o que recebo:
host*CLI> dgv show version
No such command 'dgv show version' (type 'core show help dgv show' for other possible commands)

Vai a pergunta... após a configuração do dgvchannel é necessário recompilar o asterisk? Somente com o comando ./configure?
O led da placa não está piscando, isso está correto?

Atenciosamente,
Fellipe

Offline

 

#6 05/01/2011 09:51:35

tmcarvalho
Member
Cadastrado: 31/12/1969
Posts: 92

Re: Problemas na instalação do Channel Driver

fpaes,

Nas versoes mais novas do driver deve utilizar a libpri 1.4.11.4 ou superior.
Faça o seguinte:

lsmod | grep vlibd
lsmod | grep dgvfifo

Verifiue se estes modulos estão ativos. Se não estiver carregue os modulos:

modprobe vlibd
modprobe dgvfifo


Na configuração do asterisk verifique no /etc/asterisk/modules.conf se existe uma linha chamada "noload => chan_dgv.so", se esta linha existir comente/apague esta linha.
Tente carregar a o modulo manualmente dentro da cli do asterisk:

CLI> module load chan_dgv.so

Offline

 

#7 05/01/2011 10:06:18

fpaes
New member
Cadastrado: 31/12/1969
Posts: 6

Re: Problemas na instalação do Channel Driver

tmcarvalho, bom dia!

segue a info que voltou pra mim:

root@host:~# lsmod | grep vlibd
vlibd                 167909  0
root@host:~# lsmod | grep dgvfifo
root@host:~# modprobe dgvfifo
FATAL: Module dgvfifo not found.

Verifiquei no modules.conf e a linha "noload => chan_dgv.so" não existe.

Libpri 1.4.11

Atenciosamente,
Fellipe

Offline

 

#8 05/01/2011 10:20:42

tmcarvalho
Member
Cadastrado: 31/12/1969
Posts: 92

Re: Problemas na instalação do Channel Driver

Felipe,

Qual a versao de asterisk que voce esta utilizando? (verifique com "core show version")
Garanta que exista o diretorio /usr/src/asterisk com os fontes desta versao e que o arquivo /usr/src/all-src/asterisk/include/asterisk/version.h esta com a mesma versao.


Pare o serviço asterisk :

              service asterisk stop        <== RedHat/Fedora/CentOS
              /etc/init.d/asterisk stop         <== Debian/Ubuntu
              amportal stop                     <== Meucci/Trixbox/Elastix


Remova os modulos:


              rmmod dgvfifo
              rmmod vlibd

INSTALAR / ATUALIZAR A LIBPRI:

    cd /usr/src/
    wget http://downloads.asterisk.org/pub/telep … 1.5.tar.gz
    tar -zxf libpri-1.4.11.5.tar.gz
    rm -rf /usr/src/libpri
    ln -s /usr/src/libpri-1.4.11.5 /usr/src/libpri
    cd /usr/src/libpri
    make clean
    make
    make install

COMPILANDO A VOICERLIB

    cd /usr/src/
    wget http://downloads.digivoice.com.br/pub/v … 3.0.tar.gz
    tar -zxvf voicerlib-4.2.3.0.tar.gz
    cd /usr/src/voicerlib-4.2.3.0
    make clean
    make
    make install
    make config



COMPILANDO O DGVCHANNEL

    cd /usr/src/
    wget http://downloads.digivoice.com.br/pub/d … 0.6.tar.gz
    tar -zxf dgvchannel-1.0.6.tar.gz
    cd /usr/src/dgvchannel-1.0.6
    make clean
    make
    make install
    make config
    make install_config


rode o serviço asterisk!



Obs.: a versao da Libpri deve ser no minimo como 1.4.11.4. recomendável 1.4.11.5.

Att.

Offline

 

#9 05/01/2011 11:37:42

fpaes
New member
Cadastrado: 31/12/1969
Posts: 6

Re: Problemas na instalação do Channel Driver

Ubuntu server 10.04
Asterisk 1.8

Offline

 

#10 22/03/2011 12:33:23

liobr
New member
Cadastrado: 31/12/1969
Posts: 2

Re: Problemas na instalação do Channel Driver

Estou com problemas na compilação do DGVCHANNEL.


Executo esses passos acima, e ao rodar o make_install_config o seguinte erro ocorre:

meucciBE:/usr/src/dgvchannel-1.0.6 # make install_config
if [ -f /etc/asterisk/digivoice.conf ]; then     \
        cp /etc/asterisk/digivoice.conf /etc/asterisk/digivoice.conf.bak;    \
    fi   
./auto_conf_dgv
make: *** [install_config] Segmentation fault

Se tento listar os canais também tenho o mesmo erro de segmentação:


meucciBE:/usr/src/dgvchannel-1.0.6 # dglist
Segmentation fault

Os seguintes erros aparecem no dmesg:

auto_conf_dgv[6691]: segfault at 0 ip 00002ac1ef80382c sp 00007fffbb6f4530 error 4 in libdigivoice.so.4.2.3.0[2ac1ef7ef000+79000]
dglist[6852]: segfault at 7f05fda9d004 ip 00007f05fc91b83c sp 00007fff05ac0d80 error 6 in libdigivoice.so.4.2.3.0[7f05fc8e3000+79000]


Em alguns momentos, eu tenti recompilar a voicerlib e depois o dgvchannel novamente. Ao executar o comando "make install_config" ele fica travado dessa forma:

meucciBE:/usr/src/dgvchannel-1.0.6 # make install_config
if [ -f /etc/asterisk/digivoice.conf ]; then     \
        cp /etc/asterisk/digivoice.conf /etc/asterisk/digivoice.conf.bak;    \
    fi   
./auto_conf_dgv

Esperei cerca de 30 min. e ele não deu sinal de vida.

Estou utilizando a ultima versão do MEUCCI 64 bits

Offline

 

#11 22/03/2011 13:53:44

r.teodoro
Member
Cadastrado: 31/12/1969
Posts: 79
Website

Re: Problemas na instalação do Channel Driver

Olá,

O Asterisk está parado e os módulos foram removidos antes ?
Remova os modulos:
   rmmod dgvfifo
   rmmod vlibd


Caso ainda esteja cm problemas, por favor entre em contato com nosso suporte (11) 21916363 opção 5 do menu.


Att,

Rodrigo Teodoro
DigiVoice Suporte


Rodrigo Teodoro
DigiVoice - Suporte

Offline

 

Rodapé do fórum

Powered by PunBB
© Copyright 2002–2005 Rickard Andersson